For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList agents
      • POSTCreate agent
      • POSTFetch external agent card
      • POSTRefresh cached agent card
      • GETGet agent details
      • PUTUpdate agent
      • DELDelete agent
      • GETExport agent for runtime
      • GETList agent executions
      • GETGet execution detail
      • GETList tool calls
      • GETGet tool call detail
      • POSTPublish agent
      • POSTAdd capability to agent
      • DELRemove capability from agent
Dashboard
LogoLogo
Runtype APIAgents

Delete agent

DELETE
/v1/agents/:id
DELETE
/v1/agents/:id
$curl -X DELETE https://api.runtype.com/v1/agents/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true
3}

Delete an agent and cascade-delete its capabilities.

Was this page helpful?
Previous

Export agent for runtime

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Agent deleted
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error